Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.j2ee
Class BeanManagedMethodChecker

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
          com.puppycrawl.tools.checkstyle.checks.j2ee.BeanMethodChecker
              com.puppycrawl.tools.checkstyle.checks.j2ee.EntityBeanMethodChecker
                  com.puppycrawl.tools.checkstyle.checks.j2ee.BeanManagedMethodChecker

public class BeanManagedMethodChecker
extends EntityBeanMethodChecker

Checks methods of entity beans with bean-managed persistence. Reference: Enterprise JavaBeansTM Specification,Version 2.0, Chapter 12

Author:
  Rick Giles

Constructor Summary
`BeanManagedMethodChecker(EntityBeanCheck aCheck)` Constructs a `BeanManagedMethodChecker`.

Method Summary
`void` | `checkMethod(DetailAST aMethodAST)` Checks whether a method satisfies component requirements.
`void` | `checkMethods(DetailAST aAST)` Checks that the methods of a component satisfy requirements.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.EntityBeanMethodChecker
`checkCreateMatch, checkCreateMethod, checkHomeMethod, checkPostCreateMethod`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
`checkMethod, checkNotThrows, checkThrows, getCheck, log, logName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanManagedMethodChecker

    public BeanManagedMethodChecker(EntityBeanCheck aCheck)

  Constructs a `BeanManagedMethodChecker`.

Parameters:
  `aCheck` - the entity bean check.

Method Detail

### checkMethods

    public void checkMethods(DetailAST aAST)

  Description copied from class: `MethodChecker`
  Checks that the methods of a component satisfy requirements.

  Overrides:
    `checkMethods` in class `EntityBeanMethodChecker`
  See Also:
    `MethodChecker`

### checkMethod

    public void checkMethod(DetailAST aMethodAST)

  Description copied from class: `MethodChecker`
  Checks whether a method satisfies component requirements.

  Overrides:
    `checkMethod` in class `EntityBeanMethodChecker`
  See Also:
    `MethodChecker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD